---
title: "Gets specific Order Payment"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-orderpayments-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Order Payment

`GET` `/orderpayments/{id}`

Operation ID: `get-orderpayments-id`

Gets specific Order Payment

## Path parameters

- `id` (integer, int32, required) - Payment id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Order Payment
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /orderpayments/{id}:
    get:
      tags:
        - orderpayments
      summary: Gets specific Order Payment
      description: Gets specific Order Payment
      operationId: get-orderpayments-id
      parameters:
        - name: id
          in: path
          description: Payment id
          required: true
          schema:
            type: integer
            description: Payment id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Order Payment
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ExtendedOrderPayment"
              example:
                id: 0
                external_id: string
                payment_method:
                  id: 0
                  name: string
                amount: 0
                created_on: string
                order_id: 0
                order_number: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ExtendedOrderPayment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Payment Id .
          format: int32
        external_id:
          type: string
          description: External Id.
          nullable: true
        payment_method:
          $ref: "#/components/schemas/PaymentMethod"
        amount:
          type: number
          description: Amount.
          format: double
        created_on:
          type: string
          description: Created On.
          format: date-time
        order_id:
          type: integer
          description: Order Id .
          format: int32
        order_number:
          type: string
          description: Order Number.
          nullable: true
      additionalProperties: false
      description: Order Payment Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PaymentMethod:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Payment Method Id.
          format: int32
        name:
          type: string
          description: Payment Method Name.
          nullable: true
      additionalProperties: false
      description: Payment Method Model
```
